Webhooks
List Deliveries
Use this endpoint to list deliveries in the Avala API using GET on /webhook-deliveries/.
GET
/
webhook-deliveries
/
cURL
curl --request GET \
--url https://api.avala.ai/api/v1/webhook-deliveries/ \
--header 'X-Avala-Api-Key: <api-key>'import requests
url = "https://api.avala.ai/api/v1/webhook-deliveries/"
headers = {"X-Avala-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Avala-Api-Key': '<api-key>'}};
fetch('https://api.avala.ai/api/v1/webhook-deliveries/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subscription": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_type": "<string>",
"payload": {},
"response_status": 123,
"response_body_size": 123,
"response_body_sha256": "<string>",
"response_preview": "<string>",
"attempts": 123,
"next_retry_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"next": "<string>",
"previous": "<string>"
}Authorizations
API_KeyJWT
API key for authentication. Generate one in Mission Control Settings > Security & Identity.
Query Parameters
Which field to use when ordering the results.
The pagination cursor value.
Number of results to return per page.
Was this page helpful?
Previous
Get DeliveryUse this endpoint to get delivery in the Avala API using GET on /webhook-deliveries/{uid}/.
Next
⌘I
cURL
